Loading...
Searching...
No Matches
Opm::Mpi::detail::Packing< false, std::bitset< Size > > Struct Template Reference

Specialization for std::bitset. More...

`#include <MPIPacker.hpp>`

## Static Public Member Functions

static std::size_t | packSize (const std::bitset< Size > &, Opm::Parallel::MPIComm)
static void | pack (const std::bitset< Size > &, std::vector< char > &, std::size_t &, Opm::Parallel::MPIComm)
static void | unpack (std::bitset< Size > &, const std::vector< char > &, std::size_t &, Opm::Parallel::MPIComm)

## Detailed Description

template<std::size_t Size>
struct Opm::Mpi::detail::Packing< false, std::bitset< Size > >

Specialization for std::bitset.

The documentation for this struct was generated from the following files:

- opm/simulators/utils/MPIPacker.hpp
- opm/simulators/utils/MPIPacker.cpp